scala.tools.nsc.javac

# JavaTokens

###
Related Doc: package javac

#### object JavaTokens extends CommonTokens

Source
  JavaTokens.scala

Linear Supertypes
CommonTokens, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavaTokens
2. CommonTokens
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final val ABSTRACT: Int(46)

   Definition Classes
     CommonTokens

5. #### final val AMP: Int(148)

6. #### final val AMPAMP: Int(159)

7. #### final val AMPEQ: Int(165)

8. #### final val ASSERT: Int(98)

9. #### final val ASTERISK: Int(152)

10. #### final val ASTERISKEQ: Int(169)

11. #### final val AT: Int(125)

    Definition Classes
      CommonTokens

12. #### final val BANG: Int(146)

13. #### final val BANGEQ: Int(141)

14. #### final val BAR: Int(149)

15. #### final val BARBAR: Int(160)

16. #### final val BAREQ: Int(166)

17. #### final val BOOLEAN: Int(181)

18. #### final val BREAK: Int(87)

    control structures

19. #### final val BYTE: Int(182)

20. #### final val CASE: Int(96)

    Definition Classes
      CommonTokens

21. #### final val CATCH: Int(92)

    Definition Classes
      CommonTokens

22. #### final val CHAR: Int(184)

23. #### final val CHARLIT: Int(1)

    literals

    literals

    Definition Classes
      CommonTokens

24. #### final val CLASS: Int(62)

    Definition Classes
      CommonTokens

25. #### final val COLON: Int(123)

    Definition Classes
      CommonTokens

26. #### final val COMMA: Int(120)

    special symbols

    special symbols

    Definition Classes
      CommonTokens

27. #### final val CONST: Int(28)

28. #### final val CONTINUE: Int(88)

29. #### final val DEFAULT: Int(47)

30. #### final val DO: Int(84)

    Definition Classes
      CommonTokens

31. #### final val DOT: Int(122)

    Definition Classes
      CommonTokens

32. #### final val DOTDOTDOT: Int(164)

33. #### final val DOUBLE: Int(188)

34. #### final val DOUBLELIT: Int(5)

    Definition Classes
      CommonTokens

35. #### final val ELSE: Int(82)

    Definition Classes
      CommonTokens

36. #### final val EMPTY: Int(-3)

    special tokens

    special tokens

    Definition Classes
      CommonTokens

37. #### final val ENUM: Int(67)

38. #### final val EOF: Int(0)

    Definition Classes
      CommonTokens

39. #### final val EQEQ: Int(140)

    special symbols

40. #### final val EQUALS: Int(124)

    Definition Classes
      CommonTokens

41. #### final val ERROR: Int(-1)

    Definition Classes
      CommonTokens

42. #### final val EXTENDS: Int(68)

    Definition Classes
      CommonTokens

43. #### final val FALSE: Int(26)

    Definition Classes
      CommonTokens

44. #### final val FINAL: Int(49)

    Definition Classes
      CommonTokens

45. #### final val FINALLY: Int(93)

    Definition Classes
      CommonTokens

46. #### final val FLOAT: Int(187)

47. #### final val FLOATLIT: Int(4)

    Definition Classes
      CommonTokens

48. #### final val FOR: Int(85)

    Definition Classes
      CommonTokens

49. #### final val GOTO: Int(89)

50. #### final val GT: Int(143)

51. #### final val GTEQ: Int(145)

52. #### final val GTGT: Int(157)

53. #### final val GTGTEQ: Int(174)

54. #### final val GTGTGT: Int(158)

55. #### final val GTGTGTEQ: Int(175)

56. #### final val HAT: Int(155)

57. #### final val HATEQ: Int(172)

58. #### final val IDENTIFIER: Int(10)

    identifiers

59. #### final val IF: Int(80)

    control structures

    control structures

    Definition Classes
      CommonTokens

60. #### final val IMPLEMENTS: Int(69)

61. #### final val IMPORT: Int(61)

    Definition Classes
      CommonTokens

62. #### final val INSTANCEOF: Int(27)

    keywords

63. #### final val INT: Int(185)

64. #### final val INTERFACE: Int(66)

    templates

65. #### final val INTLIT: Int(2)

    Definition Classes
      CommonTokens

66. #### final val LBRACE: Int(104)

    Definition Classes
      CommonTokens

67. #### final val LBRACKET: Int(102)

    Definition Classes
      CommonTokens

68. #### final val LONG: Int(186)

69. #### final val LONGLIT: Int(3)

    Definition Classes
      CommonTokens

70. #### final val LPAREN: Int(100)

    parenthesis

    parenthesis

    Definition Classes
      CommonTokens

71. #### final val LT: Int(142)

72. #### final val LTEQ: Int(144)

73. #### final val LTLT: Int(156)

74. #### final val LTLTEQ: Int(173)

75. #### final val MINUS: Int(151)

76. #### final val MINUSEQ: Int(168)

77. #### final val MINUSMINUS: Int(162)

78. #### final val NATIVE: Int(53)

79. #### final val NEW: Int(20)

    keywords

    keywords

    Definition Classes
      CommonTokens

80. #### final val NULL: Int(24)

    Definition Classes
      CommonTokens

81. #### final val PACKAGE: Int(60)

    templates

    templates

    Definition Classes
      CommonTokens

82. #### final val PERCENT: Int(154)

83. #### final val PERCENTEQ: Int(171)

84. #### final val PLUS: Int(150)

85. #### final val PLUSEQ: Int(167)

86. #### final val PLUSPLUS: Int(161)

87. #### final val PRIVATE: Int(44)

    Definition Classes
      CommonTokens

88. #### final val PROTECTED: Int(43)

    modifiers

    modifiers

    Definition Classes
      CommonTokens

89. #### final val PUBLIC: Int(42)

    modifiers

90. #### final val QMARK: Int(147)

91. #### final val RBRACE: Int(105)

    Definition Classes
      CommonTokens

92. #### final val RBRACKET: Int(103)

    Definition Classes
      CommonTokens

93. #### final val RETURN: Int(97)

    Definition Classes
      CommonTokens

94. #### final val RPAREN: Int(101)

    Definition Classes
      CommonTokens

95. #### final val SEMI: Int(121)

    Definition Classes
      CommonTokens

96. #### final val SHORT: Int(183)

97. #### final val SLASH: Int(153)

98. #### final val SLASHEQ: Int(170)

99. #### final val STATIC: Int(48)

100. #### final val STRICTFP: Int(54)

101. #### final val STRINGLIT: Int(6)

     Definition Classes
       CommonTokens

102. #### final val SUPER: Int(23)

     Definition Classes
       CommonTokens

103. #### final val SWITCH: Int(94)

104. #### final val SYNCHRONIZED: Int(52)

105. #### final val THIS: Int(21)

     Definition Classes
       CommonTokens

106. #### final val THROW: Int(90)

     Definition Classes
       CommonTokens

107. #### final val THROWS: Int(56)

108. #### final val TILDE: Int(163)

109. #### final val TRANSIENT: Int(50)

110. #### final val TRUE: Int(25)

     Definition Classes
       CommonTokens

111. #### final val TRY: Int(91)

     Definition Classes
       CommonTokens

112. #### final val UNDEF: Int(-2)

     Definition Classes
       CommonTokens

113. #### final val VOID: Int(180)

     primitive types

114. #### final val VOLATILE: Int(51)

115. #### final val WHILE: Int(83)

     Definition Classes
       CommonTokens

116. #### final def asInstanceOf[T0]: T0

     Cast the receiver object to be of type `T0`.

     Cast the receiver object to be of type `T0`.

     Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

     returns

       the receiver object.

     Definition Classes
       Any
     Exceptions thrown

       `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

117. #### def clone(): AnyRef

     Create a copy of the receiver object.

     Create a copy of the receiver object.

     The default implementation of the `clone` method is platform dependent.

     returns

       a copy of the receiver object.

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @IntrinsicCandidate() @throws( ... )
     Note

       not specified by SLS as a member of AnyRef

118. #### final def eq(arg0: AnyRef): Boolean

     Tests whether the argument (`that`) is a reference to the receiver object (`this`).

     Tests whether the argument (`that`) is a reference to the receiver object (`this`).

     The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

     - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
     - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
     - `null.eq(null)` returns `true`.

     When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

     returns

       `true` if the argument is a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

119. #### def equals(arg0: Any): Boolean

     The equality method for reference types.

     The equality method for reference types. Default implementation delegates to `eq`.

     See also `equals` in scala.Any.

     returns

       `true` if the receiver object is equivalent to the argument; `false` otherwise.

     Definition Classes
       AnyRef → Any

120. #### final def getClass(): Class[_]

     A representation that corresponds to the dynamic class of the receiver object.

     A representation that corresponds to the dynamic class of the receiver object.

     The nature of the representation is platform dependent.

     returns

       a representation that corresponds to the dynamic class of the receiver object.

     Definition Classes
       AnyRef → Any
     Annotations
       @IntrinsicCandidate()
     Note

       not specified by SLS as a member of AnyRef

121. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any
     Annotations
       @IntrinsicCandidate()

122. #### def isIdentifier(code: Int): Boolean

     Definition Classes
       JavaTokens → CommonTokens

123. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

124. #### def isLiteral(code: Int): Boolean

     Definition Classes
       JavaTokens → CommonTokens

125. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

126. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @IntrinsicCandidate()
     Note

       not specified by SLS as a member of AnyRef

127. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Annotations
       @IntrinsicCandidate()
     Note

       not specified by SLS as a member of AnyRef

128. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

129. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       AnyRef → Any

130. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

131. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

132. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from CommonTokens

### Inherited from AnyRef

### Inherited from Any

### Ungrouped